Bug 351681 - [RFE] deleting machine should remove diskfile
[RFE] deleting machine should remove diskfile
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 23:01 EDT by Jens Petersen
Modified: 2009-09-14 11:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 11:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for deleting img files when deleting machine (optional choice) (1.69 KB, patch)
2007-12-14 10:24 EST, Michal Fabry
no flags Details | Diff
sry. typo in previous patch :) (1.69 KB, patch)
2007-12-14 10:31 EST, Michal Fabry
no flags Details | Diff

  None (edit)
Description Jens Petersen 2007-10-24 23:01:20 EDT
Description of problem:
It would be nice if virt-manager also removed or at least offered
to remove the diskfile when deleting a vm, so that old stale vm diskfiles
are not left lying around.
Comment 1 Michal Fabry 2007-12-14 10:24:28 EST
Created attachment 289121 [details]
patch for deleting img files when deleting machine (optional choice)
Comment 2 Daniel Berrange 2007-12-14 10:31:17 EST
This is not very pleasant UI - you get shown 2 separate dialog boxes when
deleting, and the deleting of disk images is all-or-nothing. The latter doesn't
work when a VM has 2 disk images, one private, the other shared across several
VMs (eg for CluterSuite quorum partitions); Similarly if the guest has an ISO
image attached for virtual CDROM you don't want to delete that. This really
needs just a single confirmation dialog box for deleting a VM, and in that
dialog a list of all disk images which checkboxes to select which should be
deleted. It should list the disk size, and whether its readonly/shared.
Comment 3 Michal Fabry 2007-12-14 10:31:47 EST
Created attachment 289131 [details]
sry. typo in previous patch :)
Comment 4 Michal Fabry 2007-12-14 10:33:51 EST
Daniel: hm, ok. I can try do it when I will have a time.
Comment 5 Bug Zapper 2008-04-04 10:16:29 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Jens Petersen 2008-04-11 03:30:05 EDT
(Haven't tried yet on rawhide yet BTW since I can't install guests there yet.)
Comment 7 Dominik Sandjaja 2008-04-24 07:38:06 EDT
The disk-files still don't get deleted when deleting a virtual machine. There is
no question to do so, neither is there an option.
Comment 8 Bug Zapper 2008-11-26 03:05:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Cole Robinson 2008-11-26 10:39:27 EST
As mentioned above, we need some intelligent UI to get this right. We _still_ don't have this upstream though, but it is at the top of my list. Moving to F10 since it is still applicable there.
Comment 10 Jens Petersen 2008-11-26 19:24:37 EST
A simple start would just be to popup a dialog asking if you want to delete the disk image too locally.
Comment 11 Michal Fabry 2008-11-26 19:38:00 EST
(In reply to comment #10)
> A simple start would just be to popup a dialog asking if you want to delete the
> disk image too locally.

Jens, I don't think that it is good idea to have this simple version of dialog. You could have many "disk images" in your virtual machine and not everytime you want to delete all images. So you have to have list with checkboxes (or something similar).
Comment 12 Cole Robinson 2009-03-09 21:30:03 EDT
Upstream now has a robust 'Delete VM' dialog which allows removing storage, providing enough info for the user to make a reasonable decision about what to remove. Moving to POST.

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/f8ad3d826039

The pending new virt-manager version will probably end up in F10, but likely not for a good while (maybe F11 release time frame.)
Comment 13 Cole Robinson 2009-09-14 11:38:17 EDT
I think it's too late to be backporting a major virt-manager version to F10, so moving this bug F11 (where it is fixed) and closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.